

player = {}

function player.load()
player.x = 200
player.y = 400
player.xvel = 0
player.yvel = 0
player.friction = 5
player.speed = 1500
player.width = 80
player.height = 90
player.img = love.graphics.newImage('player.png')
player.facing = "right"
end
function player.draw()
  love.graphics.setColor(0,255,0)
  love.graphics.rectangle("line",player.x,player.y,player.width,player.height)
end

function player.physics(dt)
  player.x = player.x + player.xvel * dt 
  player.y = player.y + player.yvel * dt
  player.xvel = player.xvel * (1 - math.min(dt*player.friction, 2))
  player.yvel = player.yvel * (1 - math.min(dt*player.friction, 2))
end

function player.move(dt)
  if love.keyboard.isDown('right') and
  player.xvel < player.speed then
    player.xvel = player.xvel + player.speed * dt
    player.facing = "right"
  end
  if love.keyboard.isDown('left') and 
  player.xvel > -player.speed then
    player.xvel = player.xvel - player.speed * dt
    player.facing = "left"
  end
  if love.keyboard.isDown('down') and
  player.yvel < player.speed then
    player.yvel = player.yvel + player.speed * dt
  end
  if love.keyboard.isDown('up') and 
  player.yvel > -player.speed then
    player.yvel = player.yvel - player.speed * dt
    end
end
function player.boundary()
  if player.x < 0 then
    player.x = 0
    player.xvel = 0
  elseif player.y < 0 then
    player.y = 0
    player.yvel = 0
  end
  player.x = math.max(math.min(player.x, 1280 - player.width), 0)
  player.y = math.max(math.min(player.y, 720 - player.height), 250 - player.height)
end
function UPDATE_PLAYER(dt)
player.physics(dt)
player.move(dt)
player.boundary()
end
function DRAW_PLAYER()
player.draw()
end